Get current utilization for a given space set category in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space-set \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space-set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space-set"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaceSets": [
{
"spaceSet": {
"spaceSetId": 10,
"name": "NW701",
"floorId": 26,
"category": "Zones",
"spaceType": "MeetingRoom",
"spaceCount": 99
},
"dateTime": "2021-03-03T13:45:00+01:00",
"utilization": 4
}
]
}Analytics - Workplace Operations
Get current utilization for a given space set category in a building.
This request returns the current utilization for each SpaceSet with the given space set category in the given building. The response will always contain all SpaceSets matching these criteria. If no utilization was recorded for some SpaceSet, its utilization will be ‘null’.
A SpaceSet consists of Spaces which are on the same floor and have the same SpaceType and space attributes.
The response contains all SpaceSets, including the ones which are hidden in the Locatee Analytics UI. In other words, the ‘hidden’ flag on the space attributes is ignored.
This endpoint is only available for buildings with SubscriptionPlan=Workplace.
GET
/
public
/
api
/
analytics
/
v1
/
workplace
/
building
/
{buildingId}
/
utilization
/
current
/
space-set
Get current utilization for a given space set category in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space-set \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space-set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space-set"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaceSets": [
{
"spaceSet": {
"spaceSetId": 10,
"name": "NW701",
"floorId": 26,
"category": "Zones",
"spaceType": "MeetingRoom",
"spaceCount": 99
},
"dateTime": "2021-03-03T13:45:00+01:00",
"utilization": 4
}
]
}Authorizations
Path Parameters
The unique ID of a building.
Example:
6
Query Parameters
The name of the space set category. The name is case sensitive.
Example:
"Zones"

